Bug 188677 - Review Request: gnome-utils
Review Request: gnome-utils
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-11 21:58 EDT by Matthias Clasen
Modified: 2013-01-09 20:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 13:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-04-11 21:58:12 EDT
Spec URL: http://people.redhat.com/mclasen/review/gnome-utils.spec
SRPM URL: http://people.redhat.com/mclasen/review/gnome-utils-2.14.0-2.src.rpm
Description: This is part of the effort to split the current hard to maintain
multitarball gnome-utils packages into separate packages.
Comment 1 Jesse Keating 2006-04-13 17:51:57 EDT
rpmlint fails.  Haven't looked much past this:

W: gnome-utils summary-ended-with-dot GNOME utility programs.
W: gnome-utils incoherent-version-in-changelog 2.14.0-5 2.14.0-2
E: gnome-utils binary-or-shlib-defines-rpath /usr/bin/gnome-dictionary
['/usr/lib64']
E: gnome-utils binary-or-shlib-defines-rpath
/usr/libexec/gnome-dictionary-applet ['/usr/lib64']
W: gnome-utils non-conffile-in-etc /etc/gconf/schemas/gnome-search-tool.schemas
W: gnome-utils non-conffile-in-etc /etc/gconf/schemas/logview.schemas
W: gnome-utils non-conffile-in-etc /etc/security/console.apps/gnome-system-log
W: gnome-utils devel-file-in-non-devel-package
/usr/include/gdict-1.0/gdict/gdict-utils.h
W: gnome-utils devel-file-in-non-devel-package /usr/lib64/pkgconfig/gdict-1.0.pc
W: gnome-utils devel-file-in-non-devel-package
/usr/include/gdict-1.0/gdict/gdict-source.h
W: gnome-utils devel-file-in-non-devel-package
/usr/include/gdict-1.0/gdict/gdict-entry.h
W: gnome-utils devel-file-in-non-devel-package
/usr/include/gdict-1.0/gdict/gdict-version.h
W: gnome-utils devel-file-in-non-devel-package
/usr/include/gdict-1.0/gdict/gdict-enum-types.h
W: gnome-utils non-conffile-in-etc /etc/gconf/schemas/gnome-dictionary.schemas
W: gnome-utils devel-file-in-non-devel-package /usr/include/gdict-1.0/gdict/gdict.h
W: gnome-utils non-conffile-in-etc /etc/pam.d/gnome-system-log
W: gnome-utils devel-file-in-non-devel-package
/usr/include/gdict-1.0/gdict/gdict-context.h
W: gnome-utils non-conffile-in-etc /etc/gconf/schemas/gnome-screenshot.schemas
W: gnome-utils devel-file-in-non-devel-package
/usr/include/gdict-1.0/gdict/gdict-source-loader.h
W: gnome-utils no-dependency-on usermode
W: gnome-utils devel-file-in-non-devel-package
/usr/include/gdict-1.0/gdict/gdict-client-context.h
W: gnome-utils devel-file-in-non-devel-package
/usr/include/gdict-1.0/gdict/gdict-defbox.h
W: gnome-utils devel-file-in-non-devel-package /usr/lib64/libgdict-1.0.so
W: gnome-utils non-standard-dir-in-usr libexec
E: gnome-utils shell-syntax-error-in-%post

32bit's only E's are the shell-syntax-error.
Comment 2 Matthias Clasen 2006-04-13 20:24:38 EDT
E: gnome-utils binary-or-shlib-defines-rpath

I didn't get this error. 

E: gnome-utils shell-syntax-error-in-%post

I got this one, but I was not able to figure out what it complains about


Regarding the warnings about conffiles and devel files, it is not clear
to me that the /etc files listed here should be conffiles, and if we
split off -libs and -devel packages on principle...
Comment 3 Jeremy Katz 2006-04-13 20:29:29 EDT
We definitely don't split off -libs on principle and -devel is also questionable
in cases where there really isn't a library being provided that we'd "want"
people to develop against.
Comment 4 Jesse Keating 2006-04-13 22:41:44 EDT
We'll have to adjust the Packaging Guidelines and Review Guidelines regarding
devel and lib packages.  I can let those go through.

I also don't know what its talking about for the error on x86_64, I'll try to
get more info on that.

And as far as the %post goes, if it executes w/out issues I think we can accept
those too.
Comment 5 Jesse Keating 2006-04-17 17:39:37 EDT
Also missing:

Requires(post): scrollkeeper, gconftool
Requires(postun): desktop-file-utils, scrollkeeper

Also, check out the guidelines concerning gconf usage:
http://fedoraproject.org/wiki/ScriptletSnippets#head-ff64cd482595764f672082d5a3b83e1fc22962e8
Comment 6 Brian Pepple 2006-04-17 17:51:26 EDT
You've also go some unnecessary BuildRequires.  libX11-devel, glib2-devel,
gtk2-devel, libgnome-devel, and libgnomeui-devel will all be pulled in by
gnome-desktop-devel.
Comment 8 Jesse Keating 2006-04-18 10:52:08 EDT
Changes sane.  Approving.
Comment 9 Brian Pepple 2006-04-18 11:04:44 EDT
Devel package should have Requires:  gnome-utils = %{version}-%{release},
instead of just %version.
Comment 10 Matthias Clasen 2006-04-19 13:45:29 EDT
fixed in the package thats now in rawhide

Note You need to log in before you can comment on or make changes to this bug.